#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
void btn_press(WSCbase* object){
  //do something...
  WSCbase* parent = object->getParent();
  WSCbase* target = (WSCbase*)parent->getUserData("selected client");
  if (target == NULL){
    //まだ選択されていない。。。
  }else{
    WSCvariant col = parent->getProperty(WSNuserString);
    //いままで選択されていまものの色を元にもどします。
    target->setProperty(WSNbackColor,col);
  }
  //選択されたものを自分に変更します。
  parent->setUserData("selected client",(void*)object);

  //自分の色を親フォームに覚えさせておきます。
  //色は文字列なので、プロパティWSNuserString を使ってみます。
  WSCvariant col = object->getProperty(WSNbackColor);
  parent->setProperty(WSNuserString,col);

  //自分の色をハイライトさせます
  object->setProperty(WSNbackColor,"gray95");

}
static WSCfunctionRegister  op("btn_press",(void*)btn_press);
